Page MenuHomePhabricator

Reduce usage of red icon in Echo (use other colors)
Closed, ResolvedPublic

Description

The red badge in Echo is great if there's an urgent matter requiring attention. But I recently got a bright red (1) to know that a link was added to a page (I'd opted in).

I think Echo's badge color should vary a bit. Perhaps blue if there's only new info? Or purple if there are urgent matters and informational matters? ;-) Submitted for consideration.


See Also:

Details

Reference
bz55359

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz55359.
bzimport added a subscriber: Unknown Object (MLST).
MZMcBride created this task.Oct 6 2013, 2:50 AM

While I'm all for reducing or removing the use of red for notification, I'm not sure a system of different colors is going to be clear to most users.

What I'd like to see is separate access points with different notification, for example: Talk page notification, Watchlist notification, General Echo Notification, or some permutation or combination of those.

While it is common for most sites to use red as a notification color,I agree with you that it may not be necessary. The current red notification color was arrived in agreement with community members who felt the other colors (yellow & orange?) were not visible enough.

One issue with the use of different color for different notification types is what happens when you have different notification as the same time, certainly a solvable issue, but it calls into question if you started in the right place to begin with?

Prioritization and scheduling of this bug is tracked on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/300

Quiddity added a comment.EditedFeb 9 2014, 4:42 AM

2 current threads discussing the red badge:
https://en.wikipedia.org/wiki/Wikipedia_talk:Notifications/Archive_6#Colouring_the_notification_badge
https://en.wikipedia.org/wiki/Wikipedia_talk:Notifications/Archive_6#Notification_badge_colour_selection
and requesting something less "alarm"ing, or requesting different colors for different notification-types.

The underlying problem (not knowing whether good news or bad news lies behind the red [1]... or the red [37]...) is also what bug 56476 seeks to solve. (Using split icons (instead of varying colors), all icons would trigger the single flyout, but giving forewarning as to what is inside)

EBernhardson triaged this task as Low priority.Feb 25 2015, 6:45 PM
EBernhardson added a subscriber: EBernhardson.
Quiddity updated the task description. (Show Details)Apr 1 2015, 6:53 PM
Quiddity set Security to None.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 1 2015, 6:53 PM
EoRdE6 added a subscriber: EoRdE6.Apr 20 2015, 7:09 PM

https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(proposals)#Soften_the_notification_number Big thread about this on the en.Village Pump. Lots of support for new colour lots of proposals for what it should be. Formal voting starts in a few days though.

I'd personally object to changing the color from red for talk page edits and mentions. I'd support using a more neutral color for reversions and a different color for things like page links. I'm also concerned about accessibility, (as I mentioned in https://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28proposals%29#Colo.28u.29r_nominations where @Quiddity was so kind to point me here).

I actually tried to write a userscript (- https://en.wikipedia.org/wiki/User:Technical_13/SandBox/Notification_colorizer.js -) at one point to be able to change the colors of the flyout, but it failed because there was no way for me to retrieve the types of the notifications from the un-expanded flyout directly (included as classes) or from the API. If either the classes could be added to the fly-out element pre-expansion or if there could be a way to access them from the API, I could complete my script and make everyone happy in the discussion I like I believe.

Legoktm moved this task from Backlog to Needs plan on the Notifications board.Jul 6 2015, 9:11 AM
Nemo_bis rescinded a token.Jul 16 2016, 8:00 AM
Nemo_bis awarded a token.
Pginer-WMF closed this task as Resolved.Jan 6 2017, 9:12 AM
Pginer-WMF claimed this task.

@Pginer-WMF Still an issue…?

Thanks for catching this, Volker.

I think we can close this task. We already did adjustments aimed at better representing the urgency of the different notifications (T115845). The specific case in the example won't be shown in the urgent bucket (with the red badge) but in the less-urgent one instead (in blue). There is also a related proposal to consider unifying the notifications under a single badge but keeping the distinction of priorities (T142981).

I'll close the task and add the mentioned tickets in the description.

Pginer-WMF updated the task description. (Show Details)Jan 6 2017, 9:13 AM